
Redmine - Defect #31778

Total estimated time issue query column and issue field might leak information

2019-07-23 17:05 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.12   

Resolution:  Affected version:  

Description

The total estimated time information will show the sum of the estimated times of the issues and its subissues. This calculation does

not verify if the current user is allowed to see the sub issues though, which might lead to an information leak.

Attached is a patch with a test for this issue. This patch was created and contributed by Gregor Schmidt.

Related issues:

Related to Redmine - Defect #32022: IssueSubtaskingTest fails with high proba... Closed

Associated revisions

Revision 18356 - 2019-08-07 06:44 - Go MAEDA

Limit total_estimated_hours to visible issues (#31778).

Patch by Gregor Schmidt.

Revision 18359 - 2019-08-09 11:37 - Go MAEDA

Merged r18356 from trunk to 4.0-stable (#31778).

Revision 18360 - 2019-08-09 11:50 - Go MAEDA

Merged r18356 from trunk to 3.4-stable (#31778).

History

#1 - 2019-07-24 10:44 - Go MAEDA

- Target version set to 4.0.5

Setting the target version to 4.0.5.

#2 - 2019-08-07 06:44 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the fix. Thank you.

#3 - 2019-08-09 11:49 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 4.0.5 to 3.4.12

#4 - 2019-09-05 07:55 - Go MAEDA

- Related to Defect #32022: IssueSubtaskingTest fails with high probability added

Files

0001-Limit-total_estimated_hours-to-visible-issues.patch 4.71 KB 2019-07-23 Felix Schäfer
